package org.jeecg.modules.stm.rate.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.jeecg.modules.stm.rate.entity.RateTaskdept;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.stm.rate.vo.TaskDeptDomainVo;

/**
 * @Description: 任务分配
 * @Author: jeecg-boot
 * @Date:   2023-09-23
 * @Version: V1.0
 */
public interface IRateTaskdeptService extends IService<RateTaskdept> {
    public IPage<RateTaskdept> pagePrepar(Page<RateTaskdept> page, QueryWrapper<RateTaskdept> queryWrapper);
    public TaskDeptDomainVo taskDeptDomainTreeListByTaskid(String taskid);
    public TaskDeptDomainVo taskDeptDomainTreeListByid(String id);
    public void updateTaskDeptInitById(RateTaskdept rateTaskdept);
    public TaskDeptDomainVo taskUserDeptDomainTreeListByTaskDeptid(String taskdeptId);
    public TaskDeptDomainVo taskUserDeptDomainTreeListByTaskId(String rateTaskId);
    //why
    public TaskDeptDomainVo taskUserDeptDomainTreeListByid(String id);

}
